View as Markdown
API Spec (JSON)
API Spec (YAML)
Compact modeHides field descriptions and other prose for a more compact, scannable view of the API reference.Client CredentialsToken URLhttps://api-m.sandbox.paypal.com/v1/oauth2/tokenInheaderScopes
https://uri.paypal.com/services/payments/realtimepaymenthttps://uri.paypal.com/services/payments/payments-readyBraintree:PaymentsReadyhttps://uri.paypal.com/services/payments/client-payments-eligibilityUser-Agentstring<standard_header_schema>OptionalPayPal-Client-Metadata-Idstring<guid>Optionalapplication/json
TypeScript Definitions
Use the request body type in TypeScript.
customerobject<find_eligible_methods_request_customer>Optionalcountry_codestring<country_code-2>OptionalNote: The country code for Great Britain isGBand notUKas used in the top-level domain names for that country. Use the `C2` country code for China worldwide for comparable uncontrolled price (CUP) method, bank card, and cross-border transactions.
channelobject<find_eligible_methods_request_customer_channel>Optionalemailstring<email_address>OptionalNote: Up to 64 characters are allowed before and 255 characters are allowed after the@sign. However, the generally accepted maximum length for an email address is 254 characters. The pattern verifies that an unquoted@sign exists.
phoneobject<phone-2>Optionalcountry_codestring<country_calling_code>Requirednational_numberstringRequiredpurchase_unitsobject<eligibility_purchase_unit_request>[]Optionalamountobject<amount_with_breakdown>Optionalcurrency_codestring<currency_code>RequiredvaluestringRequiredbreakdownobject<amount_breakdown>Optionalitem_totalobject<money>Optionalcurrency_codestring<currency_code>RequiredvaluestringRequiredshippingobject<money>Optionalcurrency_codestring<currency_code>RequiredvaluestringRequiredhandlingobject<money>Optionalcurrency_codestring<currency_code>RequiredvaluestringRequiredtax_totalobject<money>Optionalcurrency_codestring<currency_code>RequiredvaluestringRequiredinsuranceobject<money>Optionalcurrency_codestring<currency_code>RequiredvaluestringRequiredshipping_discountobject<money>Optionalcurrency_codestring<currency_code>RequiredvaluestringRequireddiscountobject<discount_with_breakdown>Optionalcurrency_codestring<currency_code>RequiredvaluestringRequiredpayeeobject<payee>Optionalemail_addressstring<email>OptionalNote: Up to 64 characters are allowed before and 255 characters are allowed after the@sign. However, the generally accepted maximum length for an email address is 254 characters. The pattern verifies that an unquoted@sign exists.
merchant_idstring<account_id-2>Optionalpreferencesobject<find_eligible_methods_request_preferences>Optionalpayment_sourcesarray<payment_method>Requiredapplication/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v2/payments/find-eligible-methods" \ -H "Authorization: Bearer A21AAGHr9qtiRRXH4oYcQokQgV99rGqEIfgrr8xHCclP0OzmD9KVgg5ppIIg1jzJgQkV4wd02svIvBJyg6cLFJjFow_SjBhxQ" \ -H "PayPal-Auth-Assertion: eyJhbGciOiJub25lIn0.eyJlbWFpbCI6Im15QGVtYWlsLmNvbSJ9" \ -H "User-Agent: Mozilla/5.0 (iPad; U; CPU OS 3_2_1 like Mac OS X; en-us) AppleWebKit/531.21.10 (KHTML, like Gecko) Mobile/7B405" \ -H "PayPal-Client-Metadata-Id: 1295065d-6f34-42dc-ac65-fac0c86af250" \ -H "Content-Type: application/json" \ -d '{ "customer": { "country_code": "US", "channel": { "browser_type": "SAFARI", "device_type": "MOBILE", "client_os": "IOS" } }, "purchase_units": [ { "amount": { "currency_code": "USD", "value": "100.00" } } ], "preferences": { "payment_source_constraint": { "constraint_type": "EXCLUDE", "payment_sources": [ "PAYPAL" ] } } }'{ "eligible_methods": { "venmo": { "can_be_vaulted": true } }}